/*
 * JPA2 entity template for JEE6
 *
 *
 * Takatuka - Template fuer JPA JEE6
 *
 * Moeglichkeiten und Einschraenkungen:
 * - Beziehungen werden abgebildet
 * -- es gibt keine 1:1 Beziehungen
 * -- N:M Beziehungen sind immer bidirektional
 * - Vererbung wird nicht unterstuetzt
 */

package de.ivu.elect.business.ergebnis.entity;

public interface DHondtQuotientBase extends 
de.ivu.elect.jee.entity.Entity<DHondtQuotientPK, DHondtQuotientUK>
{

  
  /**
   * getter for primary key wrapper D_HONDT_QUOTIENT.d_hondt_quotient_id
   *
   * @return
   */
  @Override
  DHondtQuotientPK getPk();
    

  /**
   * ATTRIBUTE
   */

    

  /**
   * Discriminator column for generalization
   *
   * getter for D_HONDT_QUOTIENT.DISCRIMINATOR
   *
   */
  java.lang.String getDiscriminator();

  /**
   * Discriminator column for generalization
   *
   * setter for D_HONDT_QUOTIENT.DISCRIMINATOR
   *
   * @param discriminator
   */
  void setDiscriminator(java.lang.String discriminator);
      

  /**
   * 
   *
   * getter for D_HONDT_QUOTIENT.NENNER
   *
   */
  java.lang.Long getNenner();

  /**
   * 
   *
   * setter for D_HONDT_QUOTIENT.NENNER
   *
   * @param nenner
   */
  void setNenner(java.lang.Long nenner);
      

  /**
   * 
   *
   * getter for D_HONDT_QUOTIENT.RANG
   *
   */
  java.lang.Long getRang();

  /**
   * 
   *
   * setter for D_HONDT_QUOTIENT.RANG
   *
   * @param rang
   */
  void setRang(java.lang.Long rang);
      

  /**
   * 
   *
   * getter for D_HONDT_QUOTIENT.SITZGEWINN
   *
   */
  java.lang.Boolean getSitzgewinn();

  /**
   * 
   *
   * setter for D_HONDT_QUOTIENT.SITZGEWINN
   *
   * @param sitzgewinn
   */
  void setSitzgewinn(java.lang.Boolean sitzgewinn);
      

  /**
   * 
   *
   * getter for D_HONDT_QUOTIENT.TEILNEHMER_AM_LOSVERFAHREN
   *
   */
  java.lang.Boolean getTeilnehmerAmLosverfahren();

  /**
   * 
   *
   * setter for D_HONDT_QUOTIENT.TEILNEHMER_AM_LOSVERFAHREN
   *
   * @param teilnehmerAmLosverfahren
   */
  void setTeilnehmerAmLosverfahren(java.lang.Boolean teilnehmerAmLosverfahren);
      

  /**
   * 
   *
   * getter for D_HONDT_QUOTIENT.ZAEHLER
   *
   */
  java.lang.Long getZaehler();

  /**
   * 
   *
   * setter for D_HONDT_QUOTIENT.ZAEHLER
   *
   * @param zaehler
   */
  void setZaehler(java.lang.Long zaehler);
  
/**
 * Beziehungen N:1 unidirektional
 */

  /**
   * 
   */
  void setErgebnis(de.ivu.elect.business.ergebnis.entity.Ergebnis ergebnis);

  /**
   * 
   */
  de.ivu.elect.business.ergebnis.entity.Ergebnis getErgebnis();



/**
 * Beziehungen N:1 bidirektional
 */


/**
 * Beziehungen 1:N unidirektional (nicht unterstuetzt)
   */

/**
 * Beziehungen 1:N bidirektional
   */

/**
 * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

/**
 * Beziehungen N:M bidirektional selbstreferenzierend
   */
}
